Add labels to release
POST/api/v1/workspaces/{workspace_slug}/releases/{release_id}/labels/
Adds one or more labels to a release. Labels must be workspace-wide or belong to the release's project, otherwise the request fails with a 400 RELEASE_LABEL_OUT_OF_SCOPE error.
Path Parameters
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
release_id:requiredstringThe unique identifier for the release.
Body Parameters
label_ids:requiredstring[]Array of release label IDs to add to the release.
Scopes
releases:write
Add labels to release
bash
curl -X POST \
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/labels/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"label_ids": ["f6a7b8c9-d0e1-2345-fabc-678901234567"]
}'python
import requests
response = requests.post(
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/labels/",
headers={"X-API-Key": "your-api-key"},
json={
'label_ids': ['f6a7b8c9-d0e1-2345-fabc-678901234567']
}
)
print(response.json())javascript
const response = await fetch(
"https://api.plane.so/api/v1/workspaces/my-workspace/releases/a1b2c3d4-e5f6-7890-abcd-ef1234567890/labels/",
{
method: "POST",
headers: {
"X-API-Key": "your-api-key",
"Content-Type": "application/json",
},
body: JSON.stringify({
label_ids: ["f6a7b8c9-d0e1-2345-fabc-678901234567"],
}),
},
);
const data = await response.json();Response200
json
[
{
"id": "f6a7b8c9-d0e1-2345-fabc-678901234567",
"name": "Breaking change",
"color": "#FF5630",
"sort_order": 10,
"workspace": "cd4ab5a2-1a5f-4516-a6c6-8da1a9fa5be4",
"project": null
}
]
